touchpad lockup/drag and lost scroll

Bug #34501 reported by Christer Edwards on 2006-03-11
282
This bug affects 42 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
linux (Ubuntu)
High
Unassigned
xserver-xorg-input-synaptics (Ubuntu)
Undecided
Unassigned

Bug Description

Since updating to dapper the touchpad on my machine (eMachine M5312) seems to lockup randomly or drag. For perhaps 30 seconds, randomly, it will refuse to move, move slowly or drag whatever it was over and then decide to function again.

I'm unsure the package/driver that controls the touchpad on a notebook.

dmesg reports a lot of lost synchronization errors

probably related to bug #119194 the main difference is that users affected by this bug report lost scroll functionality after the error presents itself, whereas the 119194 not.

Changed in xserver-xorg-input-synaptics:
assignee: nobody → ubuntu-x-swat
Josh (josh-ground-impact) wrote :

is this the same problem as here
https://launchpad.net/distros/ubuntu/+bug/47971

sounds like the problem im having.. kinda

Changed in xserver-xorg-input-synaptics:
status: Unconfirmed → Confirmed
Alex Vaughn (aevaughn) wrote :

I would encourage you to try out xfree86 driver if you can, it is listed as solution for Bug #47971. The patch given was
'sudo apt-get install xfree86-driver-synaptics'
install xfree86's driver (and uninstall xorg's)
Then, symlink the driver into it's proper location for xorg by typing
'sudo ln -sf /usr/X11R6/lib moules/input/synaptics_drv.o /usr/lib/xorg/modules/input/synaptics_drv.o'
Then, reboot! It's just a workaround, but it would help in figuring things out.

Corey Burger (corey.burger) wrote :

Still there as of Edgy Daily, Oct 15th.

hermeschris (hermes-chris) wrote :

Yes it's still there in edgy - final version. With the workaround the vertical scrolling is not working on my amilo 1645. So I want back to the latest xserver-xorg-input-synaptics package. With the old mistake like described above. The strange thing is, before I updated from dapper to edgy, it worked.

Andreas Schildbach (schildbach) wrote :

I've got the same problem on an Acer TravelMate 2492WLMi and Edgy.

I found these lines in dmesg:

[17179584.292000] Synaptics Touchpad, model: 1, fw: 6.2, id: 0x1280b1, caps: 0xa04713/0x204000
[17179584.324000] input: SynPS/2 Synaptics TouchPad as /class/input/input1
[17179584.328000] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1

Andreas Schildbach (schildbach) wrote :

I'm ashamed to say that I accidently disabled my touchpad by pressing Alt-F7. Ubuntu seems to persist this setting somehow.

Mike Dahlgren (dahlgren) wrote :

Same as #68322 and #37691 and possibly #47971

Mike Dahlgren (dahlgren) wrote :

My dmesg is full of these messages:

psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
psmouse.c: TouchPad at isa0060/serio4/input0 - driver resynched.
psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
psmouse.c: issuing reconnect request

 This happens every time my mouse stutters and flips out.

Peter Russell (psr) wrote :

I reported a bug on this problem ( #69322 ) which has been marked as a duplicate of this bug.

It may well be a duplicate of this bug, but I'm pretty sure it' s a kernel bug and not an input driver bug. See this thread on LKML: http://lkml.org/lkml/2005/3/30/180 which describes how the problem might be related to ACPI.

I was finding this bug unbarable. My touchpad was completely unusable and my keyboard often didn't notice when I'd released a key. Eventually someone logged into the laptop as a different user and found that they experienced hardly any problem.

By experimentation I was able to find out that by removing the temperature sensors and system load applets from my gnome panel, the problem almost completely disapeared.

Do other people find that if they install these applets the problem gets worse?

This bug is still present in Feisty. I could not reproduce the connection with reading /proc/acpi/battery/BAT0/state! The errors appear even though the batter has been removed and they do not appear more frequently when reading the file in a loop.

nathan (goofeedude) wrote :

This bug is present on my Dell E1405, and persists even when running Ubuntu in a Virtual PC 2007 virtual machine on top of Windows. Graphical Linux with no mouse is not happy :-(

Axel Pospischil (apos) wrote :

See at bug #96596 post from me. Try adding kernel parameter: "i8042.nomux=1" for older intel chipsets.

Mark Sherman (brazentone) wrote :

The kerner parameter "i8042.nomux=1" fixed the problem on a fairly new Compaq laptop. It's an AMD Turion, 64-bit, so there's nothing "old" about any part of it. Yet it does have the i8042 bus, which can be found in the device manager. Adding the option to the /boot/grub/menu.lst file (where it tells you to) and running update-grub fixed the problem very well, it hasn't happened since.

Tom Hosiawa (tomek32) wrote :

I've incurred this problem as well, except I only get the lost sync errors I use I'm in VMWare.

Switching the InputDevice protocol for the Synaptics device to imps (ps2 would word as well I guess) fixed the problem for me. Is there a reason my auto-dev is selected by default?

mikko (mikko-) wrote :

Same problem.
Hardy with latest updates, Acer Aspire 1362 laptop, Via chipset

Feb 14 16:44:39 mikkojakaisa kernel: [ 1100.684258] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
Feb 14 16:44:39 mikkojakaisa kernel: [ 1100.687094] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Feb 14 16:44:39 mikkojakaisa kernel: [ 1100.694519] psmouse.c: TouchPad at isa0060/serio4/input0 - driver resynched.
Feb 14 16:45:09 mikkojakaisa kernel: [ 1147.951137] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Feb 14 16:45:09 mikkojakaisa kernel: [ 1148.015478] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Feb 14 16:45:09 mikkojakaisa kernel: [ 1148.016861] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Feb 14 16:45:09 mikkojakaisa kernel: [ 1148.018246] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Feb 14 16:45:09 mikkojakaisa kernel: [ 1148.019641] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Feb 14 16:45:09 mikkojakaisa kernel: [ 1148.019648] psmouse.c: issuing reconnect request
Feb 14 16:46:09 mikkojakaisa kernel: [ 611.922433] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
Feb 14 16:46:09 mikkojakaisa kernel: [ 611.923818] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Feb 14 16:46:09 mikkojakaisa kernel: [ 611.933125] psmouse.c: TouchPad at isa0060/serio4/input0 - driver resynched.

Theodore Book (tbook) wrote :

As I mentioned earlier, I experience this bug, which always appears together with the keyboard bug #194214 (https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/194214). In my case, the bug appears when I activate the Broadcom 43xx firmware in the restricted drivers dialog, and goes away when I disable it. Has anyone else experienced these two bugs together? PS: The consensus on the 194214 bug seems to be that it is a kernel problem - it seems like these could be two manifestations of the same thing.

Shawn McMahon (smcmahon) wrote :

Still occurs with Hardy current as of an hour ago:

[ 1250.551024] psmouse.c: TouchPad at isa0060/serio2/input0 lost sync at byte 4
[ 1250.568869] psmouse.c: TouchPad at isa0060/serio2/input0 lost sync at byte 4
[ 1250.573192] psmouse.c: TouchPad at isa0060/serio2/input0 lost sync at byte 1
[ 1250.581059] psmouse.c: TouchPad at isa0060/serio2/input0 lost sync at byte 1
[ 1250.585382] psmouse.c: TouchPad at isa0060/serio2/input0 lost sync at byte 1
[ 1250.585386] psmouse.c: issuing reconnect request

John Pye (jdpipe) wrote :

I have seen this same problem on a new Dell XPS M1530 on which I installed Ubuntu 8.04RC. Everything appeared to work fine until I used the 'Mouse' preferences to attempt to change the mouse speed. Initially no effect, so I restarted X (ctrl-alt-backspace). After that the trackpad was uber-sensitive/touchy/jumpy and seemed to trigger spurious keystroke and/or mouse-clicks. Almost any attempt to move the pointer using the trackpad results in the mouse pointer flying to the bottom left and new GNOME panels being added to my desktop. I rebooted with Vista (installed in the factory) and no problems occur at all there, so it's not a hardware problem. I plugged in a USB mouse and it works fine (and in fact is the only way I can use the system currently).

Here is some output from dmesg:

[ 350.241284] printk: 5 messages suppressed.
[ 350.241298] atkbd.c: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.
[ 363.508355] printk: 1 messages suppressed.
[ 363.508365] atkbd.c: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.
[ 363.694021] atkbd.c: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.
[ 363.844644] atkbd.c: Unknown key pressed (translated set 2, code 0x0 on isa0060/serio0).
[ 363.844655] atkbd.c: Use 'setkeycodes 00 <keycode>' to make it known.
[ 363.847526] atkbd.c: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.
[ 363.937708] atkbd.c: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.
[ 369.184504] atkbd.c: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.
[ 369.206094] atkbd.c: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.
[ 369.232839] atkbd.c: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.
[ 369.252692] psmouse.c: Failed to reset mouse on isa0060/serio1
[ 369.256523] atkbd.c: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.
[ 369.520942] printk: 2 messages suppressed.
[ 369.520954] atkbd.c: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.
[ 372.429181] printk: 24 messages suppressed.
[ 372.429192] atkbd.c: Spurious NAK on isa0060/serio0. Some program might be trying access hardware directly.

Will perform full system update (synaptic) and see if that fixes things...

John Pye (jdpipe) wrote :

Workaround this problem by changing the file /boot/grub/menu.lst to add 'i8042.nomux' as follows:

kernel /boot/vmlinuz-2.6.24-16-generic root=UUID=44b532a5-2527-4641-a7af-9d553d430715 ro quiet splash i8042.nomux

This is the same fix as noted by Alex above.

Shawn McMahon (smcmahon) wrote :

Axel's workaround worked for me, no ill effects noted so far.

Tom Hosiawa (tomek32) wrote :

Just wanted to mention, I haven't see this error come up for me since upgrading from Feisty to Hardy

Rocko (rockorequin) wrote :

The touchpad on my almost brand-new XPS M1530 running Ubuntu 8.04 amd64 worked just fine until today when it started acting crazy, shooting the pointer all over the place and randomly generating mouse button presses whenever I tried using it. The only recent system change I have made is to recompile and reinstall a patched wine rc4.

Axel's suggested workaround, ie using the i8042.nomux kernel option, has fixed the problem so far.

Note that when the touchpad is acting this way, Xorg.log reports that it can't find a synaptics touchpad (normally it succeeds) and lots of pmouse.c parity/timeout errors get generated in syslog. Restarting X and even rebooting doesn't fix the problem.

kernel 2.6.24-19-generic
xserver-xorg-input-synaptics 0.14.7~git20070706-1ubuntu4

aldebx (aldebx) wrote :

on my Intel Core2 Duo laptop I very seldom reckon psmouse driver resync in syslog,
however today that driver kept losing sync for almost half an hour.

At first the problem was shown as vertical scroll not working any more (this happens fairly often after I keep my pc a few hours (10+) without rebooting).

Then the mouse problem increased in frequency.

At last the keyboard stopped responding too (thus I support the link with bug #194214 )

I could not use Sysrq. This suggests me that it isn't just an X bug, but instead a kernel bug.

aldebx (aldebx) wrote :

I'm running
kernel 2.6.24-19.21
xorg 1:7.3+10ubuntu10.1

aldebx (aldebx) wrote :

xserver-xorg-input-synaptics 0.14.7~git20070706-1ubuntu4

Changed in xserver-xorg-input-synaptics:
assignee: ubuntu-x-swat → nobody
status: Confirmed → Triaged

I'm getting the same errors with a few more.

[ 89.704260] psmouse.c: Wheel Mouse at isa0060/serio4/input0 lost synchronization, throwing 1 bytes away.
[ 92.522918] psmouse.c: Wheel Mouse at isa0060/serio4/input0 lost synchronization, throwing 2 bytes away.
[ 94.155972] psmouse.c: Wheel Mouse at isa0060/serio4/input0 lost synchronization, throwing 1 bytes away.
[ 94.191265] psmouse.c: resync failed, issuing reconnect request
[ 101.895673] psmouse.c: Wheel Mouse at isa0060/serio4/input0 lost synchronization, throwing 1 bytes away.
[ 107.519077] psmouse.c: Failed to reset mouse on isa0060/serio1
[ 107.626677] input: PS/2 Generic Mouse as /devices/platform/i8042/serio1/input/input9
[ 107.677605] psmouse.c: Failed to enable mouse on isa0060/serio1
[ 113.546530] psmouse.c: Mouse at isa0060/serio1/input0 lost synchronization, throwing 2 bytes away.
[ 114.505478] psmouse.c: failed to re-enable mouse on isa0060/serio1
[ 114.505488] psmouse.c: resync failed, issuing reconnect request
[ 118.098894] psmouse.c: Wheel Mouse at isa0060/serio4/input0 lost synchronization, throwing 3 bytes away.
[ 118.770284] psmouse.c: Wheel Mouse at isa0060/serio4/input0 lost synchronization, throwing 1 bytes away.
[ 152.514165] psmouse.c: Wheel Mouse at isa0060/serio4/input0 lost synchronization, throwing 1 bytes away.
[ 152.565354] psmouse.c: resync failed, issuing reconnect request

The thing is, my touchpad isn't synaptic, it's elantech; and as far as I know, there are no easy-to-use elantech drivers as of yet. My touchpad is reported as a PS/2 Generic Mouse.

This usually only happens at startup and after it's finished (30s - 1m), it doesn't seem to happen the rest of the time it's running. As far as I can remember, this started happening in either Gutsy beta or Hardy beta.

Linux 2.6.24-19-generic #1 SMP i686 GNU/Linux - Ubuntu/Hardy

Åskar (olskar) wrote :

I get this when inserting an SD-card in my SD-cardreader.

[ 2005.238902] mmc0: new SD card at address f24e
[ 2005.371704] mmcblk0: mmc0:f24e SD01G 992000KiB
[ 2005.371740] mmcblk0: p1
[ 2007.352489] psmouse.c: Failed to reset mouse on isa0060/serio1
[ 2007.384994] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[ 2007.391442] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 2007.397973] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 2007.405622] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 2007.413204] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 2007.413207] psmouse.c: issuing reconnect request
[ 2007.687314] input: PS/2 Generic Mouse as /devices/platform/i8042/serio1/input/input9
[ 2007.714802] psmouse.c: Failed to enable mouse on isa0060/serio1
[ 2009.677033] psmouse.c: Mouse at isa0060/serio1/input0 lost synchronization, throwing 1 bytes away.
[ 2009.778211] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 2011.455257] psmouse.c: failed to re-enable mouse on isa0060/serio1
[ 2011.455263] psmouse.c: resync failed, issuing reconnect request
[ 2023.752864] psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 1 bytes away.
[ 2024.703946] psmouse.c: resync failed, issuing reconnect request
[ 2028.421023] Synaptics Touchpad, model: 1, fw: 5.9, id: 0x254ab1, caps: 0x804713/0x0
[ 2028.795152] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio4/input/input10
[ 2030.686383] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[ 2030.835845] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[ 2030.854510] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 2030.874555] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 2030.969731] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 2030.969736] psmouse.c: issuing reconnect request
[ 2033.919588] Synaptics Touchpad, model: 1, fw: 5.9, id: 0x254ab1, caps: 0x804713/0x0
[ 2034.017962] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio4/input/input11

Linux Zepto 2.6.24-19-generic #1 SMP Wed Jun 18 14:43:41 UTC 2008 i686 GNU/Linux

I also got a popup window once (only once) with this message:

A malicious client may be eavesdropping on your session or you may have just clicked a menu or some application just decided to get focus.

Try again.

Åskar (olskar) wrote :

mrpeenut24: That message is generated when the Gnome password entry box is incapable of taking focus of the mouse. If you want to cause this deliberately, you can play with the menus quickly after launching an application that provides one. I dont think it has anything to do with this bug.

John Tyree (gummyduk) wrote :

I am getting the same error messages in my log:
Jul 6 00:16:05 eleanor kernel: [ 2262.386502] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jul 6 00:16:05 eleanor kernel: [ 2262.388228] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jul 6 00:16:05 eleanor kernel: [ 2262.389597] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jul 6 00:16:05 eleanor kernel: [ 2262.392180] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jul 6 00:16:05 eleanor kernel: [ 2262.393597] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jul 6 00:16:05 eleanor kernel: [ 2262.393601] psmouse.c: issuing reconnect request
Jul 6 00:16:08 eleanor kernel: [ 2265.388884] Synaptics Touchpad, model: 1, fw: 6.3, id: 0x1a0b1, caps: 0xa04713/0x200000
Jul 6 00:16:08 eleanor kernel: [ 2265.480497] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input11
Jul 6 00:16:09 eleanor kernel: [ 2266.182970] psmouse.c: Failed to reset mouse on isa0060/serio1
Jul 6 00:16:10 eleanor kernel: [ 2267.723463] Synaptics Touchpad, model: 1, fw: 6.3, id: 0x1a0b1, caps: 0xa04713/0x200000
Jul 6 00:16:11 eleanor kernel: [ 2267.803332] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input12

I've discovered that i can "break" the touchpad at will and recreate the error by pressing the capslock key on and off repeatedly. Capslock must somehow be related to the issue. Another person mentioned the capslock/crazy touchpad error connection in the Ubuntuforums, seen here: http://ubuntuforums.org/showthread.php?t=845152

After the touchpad bugs out, it recovers and seems normal except that the scrolling features no longer work and furthermore, gsynaptics no longer controls any of the mouse settings. For example, disabling the touchpad via the gsynaptics menu has no effect.

This bug is terrible. Losing scrolling functionality is enough to make me reboot when this happens every forty minutes or so.

HP DV6736nr

Ubuntu: 8.04 Hardy Heron
Kernel: 2.6.24-19-generic
Gnome: 2.22.2
Gsynaptics: 0.9.12-0ubuntu2 (hardy)
xserver-xorg-input-synaptics: 0.14.7~git20070706-1ubuntu4 (hardy)

marcello100 (12312-azet) wrote :

Ok.. maybe I did it... I was experiencing the same bug and it sucked me a lot(#96596, cursor out of sync).

this is the relevant part of dmesg

...
[ 794.450212] psmouse.c: GlidePoint at isa0060/serio1/input0 - driver resynched.
[ 794.451978] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[ 794.455045] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[ 794.456556] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[ 794.458622] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[ 794.464386] psmouse.c: GlidePoint at isa0060/serio1/input0 lost sync at byte 1
[ 794.464392] psmouse.c: issuing reconnect request
[ 795.676077] input: PS/2 Mouse as /devices/virtual/input/input15
[ 795.740513] input: AlpsPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input16

So I did this:

sudo echo 1 > /sys/module/psmouse/parameters/resetafter

Now it works well, however, when I type "cat /sys/module/psmouse/parameters/resetafter", there's still number 5.

The trick is, that after "issuing reconnect request" the bug instantly dissappears. So I wanted to reset the device immediatelly. Changing to number 1 solve it.

This is the part of the driver, which I believe resets the device
psmouse->pktcnt = 0;
  if (psmouse_resetafter > 0 && priv->out_of_sync == psmouse_resetafter) {
   psmouse->state = PSMOUSE_IGNORE;
- serio_rescan(psmouse->serio);
+ printk(KERN_NOTICE "synaptics: issuing reconnect request\n");
+ serio_reconnect(psmouse->serio);
  }

I don't know, if it works for you, but if yes, write some feedback. If no, write it too :)

marcello100 (12312-azet) wrote :

I think I solve it. I'm testing it now. Others should test it too.

Changed in xserver-xorg-input-synaptics:
status: Triaged → Fix Committed
marcello100 (12312-azet) wrote :

Sorry, 3times it worked, now not.

Changed in xserver-xorg-input-synaptics:
status: Fix Committed → Confirmed
Åskar (olskar) wrote :

Does this problem go away if you add i8042.nomux=1 on the kernel line in /boot/grub/menu.lst?

I can confirm this bug. I have the same error message in dmesg. After this, every extra functions like scrolling is lost. The options in menu.lst didn't change anything.
uname -r
2.6.24-19-generic

A lot of people seem to lose scrolling functions after this happens. I don't have that happen to me. About 90% of the time, when I start Ubuntu, after I log in (I don't usually move the mouse before I log in, but I can check that) and move the mouse a bit, it happens. However, once it calms down, I don't believe I've ever seen it happen again. And all mouse functions are available. This includes single-finger tap, double finger tap, and triple finger tap; left, middle, and right click respectively; and scrolling. However, I don't have a synaptics touchpad. I have an elantech (ktp) touchpad. I'm not sure if this has anything to do with it. Also, the single, double, and triple finger taps are built in (and can't be disabled for lack of linux drivers), I believe, as it works in WinXP too.

Åskar (olskar) wrote :

mrpeenut24, check in dmesg next time the error arise and check if it looks about the same as the other errors in dmesg above.

Andres Mujica (andres.mujica) wrote :

it's a kernel bug not a xorg driver issue

Changed in xserver-xorg-input-synaptics:
status: New → Invalid
Changed in linux:
assignee: nobody → ubuntu-kernel-team
Changed in linux:
status: Unknown → Confirmed
Changed in linux:
status: Confirmed → Triaged
25 comments hidden view all 105 comments
Bob Busters (dolman23) wrote :

jaunty beta on hp tx1000 series, scroll works for a short while then stops, never works there on after until next boot.

Neil (ubuntu-dist) wrote :

Many thanks for those who suggested adding "i8042.nomux" to the kernel command line. This bug affected my machine for years throughout many different kernels, most recently vanilla 2.6.28.7 but is now finally resolved!

Andres Mujica (andres.mujica) wrote :

Thanks for the input about this issue

Changed in linux (Ubuntu):
status: Triaged → Fix Released
reinhard (protux) wrote :

Unfortunately I can't check the behaviour with the actual beta-CD of ubuntu since suspend no longer work correctly!
The screen remains black and the mouse just flashes up for a second when I press a key, so I can't login again.
I hope this will change in the final release....

marcello100 (12312-azet) wrote :

I didn't have this bug on my machine, since 8.10 I think it worked pretty well.. Now I use 9.04 and it works.

But... 9.10 Alpha 2 has the same old bug. I know it's alpha and I don't want to let the bug come to stable release.

Also doubleclick on touchpad doesn't work, touchpad button works.

Using the 2.30.3 kernel from the mainline repo., esp. on battery power, I get log entries like:
Aug 17 01:13:04 wopr kernel: [57733.347824] psmouse.c: GlidePoint at isa0060/serio2/input0 lost sync at byte 1
Aug 17 01:13:04 wopr kernel: [57733.366392] psmouse.c: GlidePoint at isa0060/serio2/input0 - driver resynched.
and my touchpad on a Dell Inspiron 1525, cat /proc/bus/input/devices
...
I: Bus=0011 Vendor=0002 Product=0008 Version=7321
N: Name="AlpsPS/2 ALPS GlidePoint"
P: Phys=isa0060/serio2/input0
S: Sysfs=/devices/platform/i8042/serio2/input/input29
...

Using modprobe to remove and add the psmouse driver restores it to working order.

This didn't happen under stock 9.04 but then my Intel graphics were busted. Kernel bug ? I will try the GRUB option.

Kernel option does not work (mainline 2.6.31-020631rc6-generic kernel) :-(

marcello100 (12312-azet) wrote :

Yesterday I checked Ubuntu 9.10 alpha 6, and its still there. Hope it won't get to the release.

moob (milan-jaros-gmail) wrote :

It seems that this bug isn't really fixed yet.

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
marcello100 (12312-azet) wrote :

Ubuntu 9.10 RC - problem persist.

cyba (marcus-kempe) wrote :

This solves the problem for me:
https://bugs.launchpad.net/linux/+bug/119194/comments/34

See the upstream kernel bug for more info.

A. Hornung (mail-arminhornung) wrote :

Problem persists in the released Ubuntu 9.10, kernel 2.6.31-14-generic. It does not occur regularly, but just occasionally after resume. The mentioned workaround "sudo rmmod psmouse && sudo modprobe psmouse" seems to work.

utkatubuntu (just-utkarsh) wrote :

I have tried adding tried(i8042.nomux=1) tried( xfree86 drivers) tried ( sudo rmmod psmouse && sudo modprobe psmouse)
tried ( disabling acpi)
but it still persists on 2.6.31-17-generic karmic and pops up randomly, mostly followed by ipw2200 firmware error.

Pablo Estigarribia (pablodav) wrote :

In Karmic I had to disconect completely my touchpad and use an a USB wireless mouse to work without this issue, this happens still in Karmic on MSI PR200 laptop.

for me this was an hardware issue.
it got resolved after motherboard change.

papukaija (papukaija) wrote :

This bug seems to be fixed in Lucid. Please confirm.

Seems OK here. I only have usb.autosuspend=1 as a kernel param for power saving, and an auto-generated i.e. mostly empty xorg.conf

No probs in 10.4 beta.

jackp (jackpommer) wrote :

I'm having this problem on a Sony VAIO VPCS111FM running Lucid.

Oscar (oscarlaboy) wrote :

I'm having the same problem and can't run Ubuntu Lucid on a AMD Phenom II 955 Gigabyte Motherboard 8gb Ram

papukaija (papukaija) wrote :

Please use the me too link instead of posting me too comments.

tags: added: karmic
scorpion138 (scorpion138) wrote :

i have no problems in ubuntu versions 8.04 and earlier
In the ubuntu 10.04 the bug still exist and some older versions

2.6.32-21
syslogs
psmouse.c: Failed to reset mouse on synaptics-pt/serio0
May 22 11:17:48 wolf-laptop kernel: [ 766.624808] psmouse.c: <NULL> at synaptics-pt/serio0/input0 lost synchronization, throwing 2 bytes away.
May 22 11:17:50 wolf-laptop kernel: [ 768.220216] input: PS/2 Generic Mouse as /devices/platform/i8042/serio4/serio5/input/input13
May 22 11:18:06 wolf-laptop kernel: [ 784.872014] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
May 22 11:18:06 wolf-laptop kernel: [ 784.873837] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
May 22 11:18:06 wolf-laptop kernel: [ 784.875181] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
May 22 11:18:06 wolf-laptop kernel: [ 784.884036] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
May 22 11:18:06 wolf-laptop kernel: [ 784.885360] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
May 22 11:18:06 wolf-laptop kernel: [ 784.885365] psmouse.c: issuing reconnect request

Does any one found a solution for this problem?

papukaija (papukaija) on 2010-05-29
tags: added: lucid
zstegi (zstegi) wrote :

Hi folks,
i have a Lenovo Ideapad S10e which runs Ubuntu 10.04 Lucid and discovered the same problem. The touchpad "stutters" and is nearly unuseable.

[111385.562939] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
[111385.565136] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
[111385.567836] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
[111385.588344] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 4
[111385.590477] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
[111385.590489] psmouse.c: issuing reconnect request

and after a while the touchpad stops working and i get:

[111389.810930] i8042.c: Can't write CTR while closing AUX port.
[111391.955004] i8042.c: Can't write CTR while closing AUX port.
[111393.523214] i8042.c: Can't write CTR while closing AUX port.
[111465.250454] i8042.c: Can't write CTR while closing AUX port.

The kernel-param i8042.nomux doesn't work for me, but the i8042.dumbkbd=1 does. All problems are gone, no side-effects discovered.

Thank you very much and keep the nice work =)

pullin (pullin) wrote :

I have a newish Lenovo Ideapad V460 with an Elan touchpad of some kind in it. I was experiencing some trouble as people described above, no mouse functionality in Xorg or GPM. I got the touchpad to work by doing:

rmmod psmouse
modprobe psmouse proto=imps

proto=exps also seems to work. No synaptics functionality seems to be present, but it does make the mouse work in Xorg without any other configuration changes.

added "option psmouse proto=imps" to /etc/modprobe.d/touchpad.conf to get the option to persist.

It's not a fix, but it does allow me to use the mouse on this machine now.

HanDuo (panana-freenet) wrote :

I have the same problem with a MacBookPro 4,1 with the touchpad and the keyboard. Every few seconds both are going to freeze. Also I get thrown out of the user session every 5 to 10 minutes and have to lock in again. I really can't use Ubuntu on this machine any longer. I attach my dmesg results. Hope this will be fixed soon.

Gary Helbig (ghelbig) wrote :

Seems to be similar to 610285, and present in 10.04

I have noticed that behaviour is different when booting with the AC adapter connected. It seems to be more flakey when booting on battery power.

Andrei Sosnin (deemoowoor) wrote :

After making a dist-upgrade from Ubuntu 10.04 to 10.10, I got this bug happening on my Asus Aspire AS1410 laptop. About 5-10 minutes after system startup (actually, it seems to depend on actual activity on the touchpad/keyboard), the mouse and keyboard start to act erratically (mouse becomes laggy and keyboard either starts typing single random characters, as if the corresponding key was stuck, or simply stops responding). After that, both touchpad and keyboard become completely stuck and don't respond to any input at all.

An external USB mouse is still usable though, as well as the power-on button, and with that I can still do some limited actions. For example, put the system to standby. After resume it works again, but only for several minutes.

This coincides with the following messages in dmesg:

[ 97.862555] psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 5 bytes away.
[ 98.477125] psmouse.c: resync failed, issuing reconnect request
[ 101.575447] Unable to query Synaptics hardware.
[ 102.812351] i8042.c: Can't write CTR while closing AUX port.
[ 103.839744] i8042.c: Can't write CTR while closing AUX port.

My kernel version is: 2.6.35-22-generic. Setting i8042.nomux=1 and i8042.reset=1 gave no improvement.

It's curious, that it seemed to be totally OK in 10.04, or at least not as bad as it is now. And it clearly started right after the upgrade to 10.10, that I am sure.

I am going to try to revert the system to an older kernel or try disabling sensors.

Andrei Sosnin (deemoowoor) wrote :

It seems like my problem is indeed related to ACPI, as I have read a hint here earlier. I have switched ACPI off with "acpi=off" in the kernel options and so far I haven't had any problem with the mouse or keyboard. So, it works as a temporary workaround solution. And it should help with finding the reason for the bug.

Jeremy Foshee (jeremyfoshee) wrote :

resetting to a Fix Released status per the original reporter not weighing in on the reopen. If you are affected by a bug you feel is similar, please file a new bug with relevant apport collected data for the team to review.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Changed in linux:
status: Confirmed → Incomplete
4nndee (4nndee) wrote :
Download full text (5.0 KiB)

Same Problem here. This makes my system completely unusable for playing sound or video because it stucks all the time. I have to move the mouse or keep a finger on the touchpad all the time if I want to watch a movie or listen to music. After the touchpad lost its sync, the wireless goes crazy, too. I have those problems since 9.10 and was not able to fix it.

My newest "workaround": I put a little metal plate on my touchpad. Works fine but I think thats not a proper solution...

My Laptop is a Compal JFL 92, Ubuntu 10.10 64Bit, Kernel 2.6.35-25

Jan 30 13:37:17 kernel: [ 2286.366994] psmouse.c: Touchpad at isa0060/serio1/input0 lost synchronization, throwing 1 bytes away.
Jan 30 13:37:17 kernel: [ 2286.899339] psmouse.c: resync failed, issuing reconnect request
Jan 30 13:37:52 kernel: [ 2322.132440] iwlagn 0000:0c:00.0: iwlagn_tx_agg_start on ra = 00:24:fe:46:c0:b5 tid = 0
Jan 30 13:38:39 kernel: [ 2369.247071] iwlagn 0000:0c:00.0: Microcode SW error detected. Restarting 0x82000000.
Jan 30 13:38:39 kernel: [ 2369.247082] iwlagn 0000:0c:00.0: Loaded firmware version: 228.61.2.24
Jan 30 13:38:39 kernel: [ 2369.247124] iwlagn 0000:0c:00.0: Start IWL Error Log Dump:
Jan 30 13:38:39 kernel: [ 2369.247131] iwlagn 0000:0c:00.0: Status: 0x000213E4, count: 5
Jan 30 13:38:39 kernel: [ 2369.247340] iwlagn 0000:0c:00.0: Desc Time data1 data2 line
Jan 30 13:38:39 kernel: [ 2369.247351] iwlagn 0000:0c:00.0: NMI_INTERRUPT_WDG (#04) 2284131440 0x00000002 0x03630000 208
Jan 30 13:38:39 kernel: [ 2369.247357] iwlagn 0000:0c:00.0: pc blink1 blink2 ilink1 ilink2 hcmd
Jan 30 13:38:39 kernel: [ 2369.247365] iwlagn 0000:0c:00.0: 0x0046C 0x02F3E 0x004C2 0x006DE 0x02FCE 0x74D001C
Jan 30 13:38:39 kernel: [ 2369.247372] iwlagn 0000:0c:00.0: FH register values:
Jan 30 13:38:39 kernel: [ 2369.247412] iwlagn 0000:0c:00.0: FH_RSCSR_CHNL0_STTS_WPTR_REG: 0X12c0cf00
Jan 30 13:38:39 kernel: [ 2369.247451] iwlagn 0000:0c:00.0: FH_RSCSR_CHNL0_RBDCB_BASE_REG: 0X012ca800
Jan 30 13:38:39 kernel: [ 2369.247491] iwlagn 0000:0c:00.0: FH_RSCSR_CHNL0_WPTR: 0X00000060
Jan 30 13:38:39 kernel: [ 2369.247543] iwlagn 0000:0c:00.0: FH_MEM_RCSR_CHNL0_CONFIG_REG: 0X80819004
Jan 30 13:38:39 kernel: [ 2369.247578] iwlagn 0000:0c:00.0: FH_MEM_RSSR_SHARED_CTRL_REG: 0X0000003c
Jan 30 13:38:39 kernel: [ 2369.247630] iwlagn 0000:0c:00.0: FH_MEM_RSSR_RX_STATUS_REG: 0X03630000
Jan 30 13:38:39 kernel: [ 2369.247670] iwlagn 0000:0c:00.0: FH_MEM_RSSR_RX_ENABLE_ERR_IRQ2DRV: 0X00000000
Jan 30 13:38:39 kernel: [ 2369.247709] iwlagn 0000:0c:00.0: FH_TSSR_TX_STATUS_REG: 0X07ff0003
Jan 30 13:38:39 kernel: [ 2369.247748] iwlagn 0000:0c:00.0: FH_TSSR_TX_ERROR_REG: 0X00000000
Jan 30 13:38:39 kernel: [ 2369.247836] iwlagn 0000:0c:00.0: Start IWL Event Log Dump: display last 20 entries
Jan 30 13:38:39 kernel: [ 2369.247881] iwlagn 0000:0c:00.0: EVT_LOGT:2283930500:0x00000000:0320
Jan 30 13:38:39 kernel: [ 2369.247920] iwlagn 0000:0c:00.0: EVT_LOGT:2283930548:0x00000000:0320
Jan 30 13:38:39 kernel: [ 2369.247956] iwlagn 0000:0c:00.0: ...

Read more...

papukaija (papukaija) wrote :

@4nndee: Please read comment 93.

Changed in linux:
importance: Unknown → Medium
Jay S (topdownjimmy) wrote :

@papukaija Won't a separate bug report with the same symptoms just get marked as a duplicate? Why does the original reporter's absence outweigh the people who are still saying this affects them?

papukaija (papukaija) wrote :

@topdownjimmy: Some upstream want to have separate bug reports for the same bug if it's not in the same hardware. For the second question: I can not read Jeremy's mind.

tags: added: natty touchpad
papukaija (papukaija) on 2011-04-03
tags: removed: touchpad
Changed in linux:
status: Incomplete → Invalid
trethacker (trethacker) wrote :

Same issue on fresh install of 11.04 Natty Desktop from LiveDVD. Dell Inspiron 1300. Keyboard/touchpad lag/losing sync. Same report from dmesg. Mine is a little stranger then the others seem to be because sometimes the problem exists and sometimes it doesn't. There are times when I can login and go an entire session without any problems with the touchpad nor the keyboard. Other times the trouble exists with both input devices from the moment I login. Very random, and when things are working fine, I cant seem to recreate the problem with normal use of the system.

None of the above help scenarios have worked so far, including shutting off acpi in the kernel options or the nomux idea.

There doesn't seem to be a connection between the keyboard/touchpad issue and my wireless device as some are reporting. My wireless is unaffected by this problem.

Update: Right before posting I found this link and this has worked so far for my system. Maybe will work for others.

https://bugs.launchpad.net/linux/+bug/119194/comments/34

angheloko (angheloko) wrote :

Confirmed on a Lenovo Thinkpad Edge 11, with 10.10

$ tail /var/log/syslog
Jun 13 17:52:23 navi kernel: [27094.437827] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Jun 13 17:52:23 navi kernel: [27094.439191] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Jun 13 17:52:23 navi kernel: [27094.440589] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Jun 13 17:52:23 navi kernel: [27094.441965] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Jun 13 17:52:23 navi kernel: [27094.446256] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Jun 13 17:52:23 navi kernel: [27094.446263] psmouse.c: issuing reconnect request

$ uname -a
Linux navi 2.6.35-28-generic #50-Ubuntu SMP Fri Mar 18 18:42:20 UTC 2011 x86_64 GNU/Linux

$ lspci
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 06)
00:1c.4 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 (rev 06)
00:1c.5 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 6 (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 06)
03:00.0 Network controller: Intel Corporation Centrino Wireless-N 1000
09:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)

Aleksey Porfirov (lexqt) wrote :

Lenovo Thinkpad Edge 11 (0328RT1), Ubuntu 11.04
Linux netbook 3.0.1-030001-generic #201108060905 SMP Sat Aug 6 09:08:13 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

"i8042.nomux=1" and "acpi_osi=Linux" don't help.
Still have:
[ 471.348486] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1

[ 471.361981] psmouse.c: issuing reconnect request

This also affects the Thinkpad L520, with 11.04.

$ tail -f /var/log/syslog
Oct 12 09:21:50 paul-laptop kernel: [45490.381325] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Oct 12 09:21:50 paul-laptop kernel: [45490.382658] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Oct 12 09:21:50 paul-laptop kernel: [45490.383969] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Oct 12 09:21:50 paul-laptop kernel: [45490.385244] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Oct 12 09:21:50 paul-laptop kernel: [45490.388875] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Oct 12 09:21:50 paul-laptop kernel: [45490.388879] psmouse.c: issuing reconnect request
Oct 12 09:21:58 paul-laptop kernel: [45498.461764] IBM TrackPoint firmware: 0x0e, buttons: 3/3
Oct 12 09:21:58 paul-laptop kernel: [45498.721866] input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio4/serio5/input/input15

$ uname -a
Linux paul-laptop 2.6.38-11-generic-pae #50-Ubuntu SMP Mon Sep 12 22:21:04 UTC 2011 i686 i686 i386 GNU/Linux

$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.2 PCI bridge: Intel Corporation 6 Series Chipset Family PCI Express Root Port 3 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1c.5 PCI bridge: Intel Corporation 6 Series Chipset Family PCI Express Root Port 6 (rev b4)
00:1d.0 USB Controller: Intel Corporation 6 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation HM65 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Intel Corporation Centrino Wireless-N 1000
04:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. Device 5209 (rev 01)
09:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)

theghost (theghost) wrote :

This bug still persists in Ubuntu 11.10 on a Lenovo L520 with 3.0.0-13-generic:

psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.417899] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.419232] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.420563] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.424233] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.424240] psmouse.c: issuing reconnect request
[17240.238861] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[17240.240191] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17240.258248] psmouse.c: TouchPad at isa0060/serio4/input0 - driver resynched.
[17695.950963] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.955414] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.956743] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.960402] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.961736] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.961740] psmouse.c: issuing reconnect request

Please fix this, it's really enerving.

theghost (theghost) wrote :

@ jemeryfoshee: I followed your request and opened a new bug report for this issue: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/896922

Changed in linux:
status: Invalid → Confirmed
Michael Krishtopa (theo-sed) wrote :
Download full text (3.9 KiB)

Touchpad lost sync after some idle (about an hour of inactivity).

Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180618] WARNING: at /build/buildd/linux-3.2.0/drivers/net/wireless/iwlwifi/iwl-trans-pcie-rx.c:461 iwl_rx_handle+0x306/0x470 [iwlwifi]()
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180627] Hardware name: Aspire 3935
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180632] reclaim is false, SEQ_RX_FRAME unset: REPLY_RX_PHY_CMD
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180637] Modules linked in: pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) parport_pc ppdev bnep rfcomm binfmt_misc btusb bluetooth snd_hda_codec_realtek snd_usb_audio joydev snd_hda_intel snd_hda_codec snd_pcm uvcvideo videodev snd_hwdep snd_usbmidi_lib snd_seq_midi arc4 v4l2_compat_ioctl32 iwlwifi snd_seq_midi_event mac80211 snd_seq snd_timer snd_rawmidi cfg80211 acer_wmi snd_seq_device usbhid hid sparse_keymap snd i915 soundcore drm_kms_helper drm wmi mac_hid i2c_algo_bit snd_page_alloc video psmouse lp serio_raw parport tg3
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180734] Pid: 0, comm: swapper/0 Tainted: G W O 3.2.0-30-generic #48-Ubuntu
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180740] Call Trace:
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180745] <IRQ> [<ffffffff81066d7f>] warn_slowpath_common+0x7f/0xc0
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180768] [<ffffffff81066e76>] warn_slowpath_fmt+0x46/0x50
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180795] [<ffffffffa02bd066>] iwl_rx_handle+0x306/0x470 [iwlwifi]
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180820] [<ffffffffa02bd7a6>] iwl_irq_tasklet+0x1e6/0xa50 [iwlwifi]
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180832] [<ffffffff813e1601>] ? add_interrupt_randomness+0x41/0x190
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180843] [<ffffffff8106dee8>] tasklet_action+0x78/0x140
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180851] [<ffffffff8106e528>] __do_softirq+0xa8/0x210
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180861] [<ffffffff81095535>] ? do_timer+0x25/0x30
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180870] [<ffffffff8165a41e>] ? _raw_spin_lock+0xe/0x20
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180880] [<ffffffff81664c6c>] call_softirq+0x1c/0x30
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180890] [<ffffffff81015305>] do_softirq+0x65/0xa0
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180899] [<ffffffff8106e90e>] irq_exit+0x8e/0xb0
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180907] [<ffffffff81665523>] do_IRQ+0x63/0xe0
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180916] [<ffffffff8165a8ae>] common_interrupt+0x6e/0x6e
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180920] <EOI> [<ffffffff8165e33d>] ? notifier_call_chain+0x4d/0x70
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180937] [<ffffffff8139486f>] ? arch_local_irq_enable+0x8/0xd
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180946] [<ffffffff81090e9a>] ? sched_clock_idle_wakeup_event+0x1a/0x20
Sep 6 22:22:12 theo-Aspire-3935 kernel: [18725.180955] [<ffffffff813956d9>] acpi_idle_enter_bm+0x221/0x265
Sep 6 22:22...

Read more...

Michael Krishtopa (theo-sed) wrote :

Just want to note that touchpad works for vertical scroll on page, left/right buttons works as well, but cursor is inactive.
I attached usb mouse to continue work.

Displaying first 40 and last 40 comments. View all 105 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.